--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu knnen
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.757, 0.26, 0.018, (InputBinding.getKeyNamesOfDigitalAction(InputBinding.HUDINFO).. ": Info einblenden"))
		g_currentMission:addExtraPrintText(os.date("Datum / Uhrzeit:  %a %d %b / %X"));
		g_currentMission:addHelpButtonText(g_i18n:getText("ShowHelp1"), InputBinding.HUDINFO);
	 else
		
		renderText(0.72, 0.86, 0.03, "Dodge Ram Evacuate");
        renderText(0.72, 0.85, 0.02, "Enter:start the engine");
		renderText(0.72, 0.83, 0.02, "1: Left turn signal");
		renderText(0.72, 0.81, 0.02, "2: Hazard lights");
		renderText(0.72, 0.79, 0.02, "3: Right turn signal");
		renderText(0.72, 0.77, 0.02, "Pos1:beacon Ein/Aus");
		renderText(0.72, 0.75, 0.02, "5: Flashing lights on/off");
		renderText(0.72, 0.73, 0.02, "9: gewicht/weight");
		renderText(0.72, 0.71, 0.02, "j: arm Runter/poor down");
		renderText(0.72, 0.69, 0.02, "n: arm Hoch/poor high");
		renderText(0.72, 0.67, 0.02, "9: Object hanging on/off");
		renderText(0.72, 0.65, 0.02, "0: Dodge Horn");
		g_currentMission:addExtraPrintText(os.date("Datum / Uhrzeit:  %a %d %b / %X"));
		g_currentMission:addHelpButtonText(g_i18n:getText("ShowHelp2"), InputBinding.HUDINFO);
	end;
end;

function ShowHelp:onLeave()
	self.showHelp = false;
end;

